/*
 * @Author: zc
 * @description 业务管理-特提
 */
import request from '/@/utils/request';
/**
 * @description 工单列表-可申请特提
 * @param {object} params
 */
export const orderListSpecial = (params: object) => {
    return request({
        url: `/api/v1/Order/special/apply_list`,
        method: 'get',
        params
    });
};
/**
 * @description 工单特提列表
 * @param {object} params
 */
export const specialList = (params: object) => {
    return request({
        url: `/api/v1/Order/special/list`,
        method: 'get',
        params
    });
};
/**
 * @description 申请特提基础信息
 * @param {string} id 流程id
 */
export const specialApplyBase = (id: string) => {
    return request({
        url: `/api/v1/Order/special/base/${id}`,
        method: 'get'
    });
}
/**
 * @description 特提工单申请
 * @param {object} data
 */
export const specialApply = (data: object) => {
    return request({
        url: `/api/v1/Order/special`,
        method: 'post',
        data
    });
}
/**
 * @description 审批工单特提信息
 * @param {object} data
 */
export const specialApprove = (data: object) => {
    return request({
        url: `/api/v1/Order/special`,
        method: 'put',
        data
    });
}
/**
 * @description 工单特提详情
 * @param {string} id 特提id
 */
export const specialDetail = (id: string) => {
    return request({
        url: `/api/v1/Order/special/${id}`,
        method: 'get',
    });
}
/**
 * @description 获取办理时限
 * @param {object} params
 */
export const specialTime = (params: object) => {
    return request({
        url: `/api/v1/Order/special/handle_time`,
        method: 'get',
        params
    });
}