/*
 * @Author: zc
 * @description 附件管理
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '/@/utils/request';
/**
 * @description 附件列表
 * @param {object}  params
 */
export const fileList = (params: object) => {
    return request({
        url: `/api/v1/File/list`,
        method: 'get',
        params,
    });
};
/**
 * @description 新增附件
 * @param {object}  data
 */
export const fileAdd = (data: object) => {
    return request({
        url: `/api/v1/File`,
        method: 'post',
        data,
    });
};
/**
 * @description 删除附件
 * @param {object}  data
 */
export const fileDelete = (data: object) => {
    return request({
        url: `/api/v1/File`,
        method: 'delete',
        data,
    });
};
/**
 * @description 更新附件
 * @param {object}  data
 */
export const fileUpdate = (data: object) => {
    return request({
        url: `/api/v1/File`,
        method: 'put',
        data,
    });
};
/**
 * @description 附件详情
 * @param {string}  id
 */
export const fileDetail = (id: string) => {
    return request({
        url: `/${id}`,
        method: 'get',
    });
};